%define _disable_source_fetch 0

Name:           scx-scheds
Version:        1.0.1
Release:        2%{?dist}
Summary:        Sched_ext Schedulers and Tools

License:        GPL=2.0
URL:            https://github.com/sched-ext/scx
Source0:        %{URL}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  git
BuildRequires:  meson >= 1.2
BuildRequires:  python
BuildRequires:  cargo
BuildRequires:  clang >= 17
BuildRequires:  llvm >= 17
BuildRequires:  lld >= 17
BuildRequires:  libzstd-devel
%if 0%{?fedora}
BuildRequires:  elfutils-libelf
BuildRequires:  elfutils-libelf-devel
BuildRequires:  rust
BuildRequires:  jq-devel
BuildRequires:  libzstd
Requires:  elfutils-libelf
%endif

%if 0%{?suse_version}
BuildRequires:  libelf1
BuildRequires:  libelf-devel
#BuildRequires:  rustup
BuildRequires:  libjq1
BuildRequires:  libjq-devel
BuildRequires:  libzstd1
Requires:  libelf1
%endif

BuildRequires:  zlib
BuildRequires:  zlib-devel
BuildRequires:  jq
BuildRequires:  systemd
Requires:  zlib
Requires:  jq
Conflicts: scx-scheds-git
Obsoletes: sched-ext-scx < %{version}-%{release}
Provides:  sched-ext-scx = %{version}-%{release}

%description
sched_ext is a Linux kernel feature which enables implementing kernel thread schedulers in BPF and dynamically loading them. This repository contains various scheduler implementations and support utilities.

%prep
%autosetup -n scx-%{version}

%build
%meson \
 -Dsystemd=enabled \
 -Dopenrc=disabled \
 -Dlibalpm=disabled
%meson_build


%install
%meson_install


%files
%{_bindir}/*
%{_prefix}/lib/systemd/system/scx.service
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/default/scx
%{_sysconfdir}/systemd/journald@sched-ext.conf
